# interface IDataOutput

#### package openfl.utils

#### implemented by Socket, ByteArrayData

Available on all platforms

### Variables

###

`endian:Endian`

###

`objectEncoding:UInt`

### Methods

###

`get_endian ():Endian`

###

`set_endian (value:Endian):Endian`

###

`writeBoolean (value:Bool):Void`

###

`writeByte (value:Int):Void`

###

`writeBytes (bytes:ByteArray, offset:Int = 0, length:Int = 0):Void`

###

`writeDouble (value:Float):Void`

###

`writeFloat (value:Float):Void`

###

`writeInt (value:Int):Void`

###

`writeMultiByte (value:String, charSet:String):Void`

###

`writeShort (value:Int):Void`

###

`writeUTF (value:String):Void`

###

`writeUTFBytes (value:String):Void`

###

`writeUnsignedInt (value:Int):Void`